Name: skel-lxqt-altclub-classic
Release: alt1
Version: 0.2

License: GPL3
Group: System/Configuration/Other
Url: https://yadi.sk/d/8xyZZSYByJbMA
Packager: Koi <eg.evgeniy at gmail.com>
Source: %name-%version.tar.gz

Requires: lxqt-themes-mono
Requires: icon-theme-mono-faenza
Requires: wallpapers-mix-altclub
Requires: pcmanfm-qt-context-menu
Requires: openbox-theme-Mistral
Requires: plymouth-theme-lxqt-altclub
Requires: kernel-manager
Requires: altclub-freedesktop-menu
Requires: altclub-customizer

Requires: gtk-theme-breeze
Requires: plasma5-breeze
Requires: compton-conf
Requires: zenity

BuildArch: noarch

Summary: Configure classic settings-skel lxqt.
Summary(ru_RU.UTF-8): Настройки skel для DE lxqt в классическом стиле

%description
Exports lxqt desktop settings to the system. 
The decor is designed in a calm classic style that is not annoying. 
The black panel is combined with a dark blue desktop background and
monochrome icons.

%description -l ru_RU.UTF-8
Экспортирует в систему настройки рабочего стола lxqt. 
Декор выдержан в спокойном классическом стиле, который не раздражает.
Черная панель сочетается с темно-синим фоном рабочего стола и 
монохромными иконками.

%prep
%setup

%build
%install
# Копирование скелетона lxqt для классики
mkdir -p %buildroot%_sysconfdir
mkdir -p %buildroot%_datadir/applications
mkdir %buildroot/root
cp -a skel* %buildroot%_sysconfdir
cp -a root* %buildroot

# Тема Классика для lxqt в altclub-customizer (экспорт из меню пуск)
install -Dm644 theme/theme-classic-altclub.desktop %buildroot%_datadir/applications/theme-classic-altclub.desktop
install -Dm755 theme/theme-classic-altclub.sh %buildroot/opt/altclub-customizer/themes/theme-classic-altclub.sh

# Тихий grub в altclub-customizer
#mkdir -p %buildroot/opt/altclub-customizer/grub/quiet
#install -Dm644 grub/*.{txt,sh} %buildroot/opt/altclub-customizer/grub/quiet/
#chmod 755 %buildroot/opt/altclub-customizer/grub/quiet/quiet-grub-lxqt-altclub.sh
#install -Dm644 grub/quiet-grub-lxqt-altclub.desktop %buildroot%_datadir/applications/quiet-grub-lxqt-altclub.desktop

# Тема lxqt для plymouth в altclub-customizer
install -Dm644 plymouth/plymouth-theme-lxqt-altclub.desktop %buildroot%_datadir/applications/plymouth-theme-lxqt-altclub.desktop
install -Dm755 plymouth/plymouth-theme-lxqt-altclub.sh %buildroot/opt/altclub-customizer/plymouth/plymouth-theme-lxqt-altclub.sh

# Тема для lightdm тёмная
install -Dm644 lightdm/lightdm-dark-theme-altclub.desktop %buildroot%_datadir/applications/lightdm-dark-theme-altclub.desktop
install -Dm644 lightdm/lightdm-gtk-greeter.conf %buildroot/opt/altclub-customizer/lightdm/lightdm-gtk-greeter.conf
install -Dm755 lightdm/lightdm-dark-theme-altclub.sh %buildroot/opt/altclub-customizer/lightdm/lightdm-dark-theme-altclub.sh

%post
xdg-desktop-menu forceupdate

%files
%_sysconfdir/*
/root/.gtkrc-2.0
%_datadir/applications/*
# Файлы в altclub-customizer
#/opt/altclub-customizer/grub/quiet/quiet-grub-lxqt-altclub.sh
/opt/altclub-customizer/themes/theme-classic-altclub.sh
/opt/altclub-customizer/plymouth/plymouth-theme-lxqt-altclub.sh
/opt/altclub-customizer/lightdm/lightdm-dark-theme-altclub.sh
#/opt/altclub-customizer/grub/quiet/quiet-grub-lxqt.txt
/opt/altclub-customizer/lightdm/lightdm-gtk-greeter.conf

%changelog
* Sun Mar 14 2021 Koi <eg.evgeniy@gmail.com> 0.2-alt1
- Initial release for ALT Linux Club.
